// /////////
// // Sky //
// /////////

textures/ut4_alqoffice/sky
{
	qer_editorimage textures/ut4_alqoffice/sky.tga
	q3map_backsplash 0 0
	q3map_lightimage textures/ut4_alqoffice/sky.tga
//	q3map_sunext .9 .72 .44 600 60 90 2 16
	q3map_surfacelight 100
//	q3map_lightmapfilterradius 0 64
	q3map_skylight 50 5
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact

skyparms env/ut4_alqoffice/sky - -
}

// ///////////
// // Glass //
// ///////////

textures/ut4_alqoffice/glass_clear
{
	qer_editorimage textures/ut4_alqoffice/tinfx.jpg
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/ut4_alqoffice/tinfx.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

// /////////////////////////////
// // Light emitting textures //
// /////////////////////////////

// Shader tbv. gallerij licht
textures/ut4_alqoffice/light_fitting_blend
{
	qer_editorimage textures/ut4_alqoffice/light_fitting_blend.tga
	q3map_lightimage textures/ut4_alqoffice/light_fitting_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 22000
	q3map_lightRGB 0.988 1 0.780
	//q3map_backsplash 4 10
	{
		map textures/ut4_alqoffice/light_fitting_blend.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

// Shader tbv. lantaarnpalen, e.d.
textures/ut4_alqoffice/lysror_1000
{
    qer_editorimage textures/ut4_alqoffice/lysror.tga
    q3map_surfacelight 12500
	//q3map_backsplash 2 8
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/ut4_alqoffice/lysror.tga
    }
}

// Shader tbv. tl verlichting
textures/ut4_alqoffice/ceiling_light1
{
    qer_editorimage textures/ut4_alqoffice/ceiling_light1.jpg
    q3map_surfacelight 12500
	//q3map_backsplash 2 8
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/ut4_alqoffice/ceiling_light1.jpg
    }
}

// Shader tbv. snipe plek op dak (rood)
textures/ut4_alqoffice/base_light
{
    qer_editorimage textures/ut4_alqoffice/base_light.tga
    q3map_surfacelight 5500
	//q3map_backsplash 2 10
    q3map_lightRGB 1 0.228 0.068
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/ut4_alqoffice/base_light.tga
    }
}


// Shader tbv. de ronde spotlights
textures/ut4_alqoffice/tub_uplight1
{
	qer_editorimage textures/ut4_alqoffice/tub_uplight1.tga
	q3map_lightimage textures/ut4_alqoffice/tub_uplight1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 13500
	//q3map_backsplash 2 12
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_alqoffice/tub_uplight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ut4_alqoffice/tub_uplight1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// ///////////////
// // Animation // 
// ///////////////

textures/ut4_alqoffice/flame1
{
		
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 10000
	q3map_LightRGB 1 .5 0
	qer_editorimage textures/ut4_alqoffice/pfImage1.tga
	
	{
		animMap 10 textures/ut4_alqoffice/pfImage1.tga textures/ut4_alqoffice/pfImage2.tga textures/ut4_alqoffice/pfImage3.tga textures/ut4_alqoffice/pfImage4.tga textures/ut4_alqoffice/pfImage5.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_alqoffice/pfImage4.tga textures/ut4_alqoffice/pfImage5.tga textures/ut4_alqoffice/pfImage1.tga textures/ut4_alqoffice/pfImage2.tga textures/ut4_alqoffice/pfImage3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_alqoffice/pfball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


//>====================================================================================<
//  Decals 
//>====================================================================================<


textures/ut4_alqoffice/railing
{
	qer_editor_image textures/ut4_alqoffice/railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/ut4_alqoffice/railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_alqoffice/lierre02
{ 
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none  
	nopicmip 
	nomipmaps

	{ 
   		
            map textures/ut4_alqoffice/lierre02.tga 
   		alphaFunc GE128  
 //  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}